# Oblique Strategies
## Over One Hundred Worthwhile Dilemmas
## Created by Brian Eno and Peter Schmidt, first published in 1975

**This work is forked from [CrossNox's Programming Excuses](https://github.com/CrossNox/programmingexcuses).**

Delving deep into the history and development of [David Bowie's Heroes](https://www.youtube.com/watch?v=lXgkuM2NhYI) I found out that during the recording of the album, Brian Eno made use of his set of cards: Oblique Strategies.

In 1975, the magnificent [Brian Eno](https://www.youtube.com/watch?v=lCCJc_V8_MQ) and [Peter Schmidt](http://www.rtqe.net/ObliqueStrategies/images/Schmidt1.jpg) designed a method for promoting creativity, where each card offers a way to break mental blocks. In the subsequent years more and more editions of the deck of cards were made.

Unsurprisingly, considering the creative nature of programming, this works very well when trying to overcome a deadlock in the midst of coding. 

To understand more about this method, you should read http://www.rtqe.net/ObliqueStrategies which also serves as the original sources for every deck in this module.

This Python module and terminal command gives you one Oblique Strategy per run, taken from any[^1] of the original decks.

---

#### Installing
`pip install obliquestrategies`

#### Usage
```python
from obliquestrategies import get_strategy
print(get_strategy())
```

#### From a terminal
```bash
$ obliquestrategies
```

[^1]: Decks can be seen on the obliquestrategies/data directory.